--
-- ### Clob datatype tests
--

drop if exists table t1;
create table t1 ( a int, b string(100), c clob);
insert into  t1 values ( 1 , 'This is first text', null);
insert into  t1 values ( 2 , 'This is second text', null);
insert into  t1 values ( 3 , 'This is third text', null);
insert into  t1 values ( 4 , 'This is fourth text', null);
insert into  t1 values ( 5 , 'This is fifth text', null);

select a,b,c from t1;

update t1 set c = b;

select a,b,c from t1;
select clobsize(c) from t1;
select clob2str(c) from t1;

update t1 set b = clob2str(c);

select a,b,c from t1;

drop table t1;
